org.rrd4j

## Enum ConsolFun

- java.lang.Object
- - java.lang.Enum<ConsolFun>
  - - org.rrd4j.ConsolFun

- All Implemented Interfaces:
    Serializable, Comparable<ConsolFun>

      public enum ConsolFun
      extends Enum<ConsolFun>

  Enumeration of available consolidation functions. Note that data aggregation inevitably leads to loss of precision and information. The trick is to pick the aggregate function such that the interesting properties of your data are kept across the aggregation process.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `AVERAGE` The average of the data points is stored.
    `FIRST` The fist data point is used.
    `LAST` The last data point is used.
    `MAX` The largest of the data points is stored.
    `MIN` The smallest of the data points is stored.
    `TOTAL` The total of the data points is stored.

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract Variable` | `getVariable()`
    `static ConsolFun` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ConsolFun[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### AVERAGE

          public static final ConsolFun AVERAGE

      The average of the data points is stored.

    - #### FIRST

          public static final ConsolFun FIRST

      The fist data point is used.

    - #### LAST

          public static final ConsolFun LAST

      The last data point is used.

    - #### MAX

          public static final ConsolFun MAX

      The largest of the data points is stored.

    - #### MIN

          public static final ConsolFun MIN

      The smallest of the data points is stored.

    - #### TOTAL

          public static final ConsolFun TOTAL

      The total of the data points is stored.

  - ### Method Detail

    - #### getVariable

          public abstract Variable getVariable()

    - #### valueOf

          public static ConsolFun valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### values

          public static ConsolFun[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ConsolFun c : ConsolFun.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared